Bug 211190 - deleting a diff causes further diffs to be skipped?
deleting a diff causes further diffs to be skipped?
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
7.3
All All
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-14 00:41 UTC by ivan
Modified: 2013-06-06 01:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ivan 2012-04-14 00:41:31 UTC
I'm looking at a series of diffs in several files.
I"m looking at a file in the middle which has two green "new line" diffs.
I"m looking at the first diff.
I press on the red "Remove" cross and remove it.
Then I press next to go to the next diff but it jumps one diff and goes
to the second next one in the following file.

I _think_ what's happening is that upon removing the system automatically switches
to the next diff. This can be observed if the two diffs are near each
other and simultaneously visible. But if the second diff is not in view 
the diff view switches to it but doesn't scroll to it.

I've missed some new code I wanted to get rid of this way and got a surprise
later.
Comment 1 Ondrej Vrabec 2013-06-05 08:28:35 UTC
i will try to handle this in mercurial. I guess if you remove a diff in the view a subsequent next/previous action should jump to the current difference (just scroll to the difference) so no diff is missed
Comment 2 Ondrej Vrabec 2013-06-05 08:32:40 UTC
fix: http://hg.netbeans.org/core-main/rev/2070324d01a4
Comment 3 Quality Engineering 2013-06-06 01:51:44 UTC
Integrated into 'main-golden', will be available in build *201306052301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2070324d01a4
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #211190 - deleting a diff causes further diffs to be skipped?
jump to the current difference and not to the next/previous when one of the differences is removed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo